### Method

# Malcontent AppFilter is_flatpak_app_allowed

since: 0.2.0

#### Declaration [src]

    gboolean
    mct_app_filter_is_flatpak_app_allowed (
      MctAppFilter* filter,
      const gchar* app_id
    )

#### Description [src]

Check whether the flatpak app with the given `app_id` is allowed to be run according to this app filter.

This is a globbing match, matching `app_id` against potentially multiple entries in the blocklist, as the blocklist contains flatpak refs (for example, `app/org.gnome.Builder/x86_64/master`) which contain architecture and branch information. App IDs (for example, `org.gnome.Builder`) do not contain architecture or branch information.

Available since: 0.2.0

#### Parameters

`app_id`

  Type: `const gchar*`

  Flatpak ID for the app, for example `org.gnome.Builder`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

True if the user this `filter` corresponds to is allowed to run the flatpak called `app_id` according to the `filter` policy; false otherwise.